# Remove-RASAppPackage.md

## NAME

Remove-RASAppPackage

## SYNOPSIS

Removes an application package.

## SYNTAX

**Remove-RASAppPackage** \[[Id](#id-string)] *(uint)* \[*(*[*CommonParameters*](#CommonParameters)*)*]

\*\*Remove-RASAppPackage \[-[InputObject](#inputobject)] *(*[*AppPackage*](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/apppackage.md)*)* \[*(*[*CommonParameters*](#CommonParameters)*)*]

**Remove-RASAppPackage** \[[Name](#name-string)] *(string)* \[\[-[SiteId](#siteid-string)] *(uint)*] \[*(*[*CommonParameters*](#CommonParameters)*)*]

## DESCRIPTION

Removes an application package.

## PARAMETERS

## Name (string)

The package name of the application package.

```
        Required?                    true

        Position?                    0

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## SiteId (uint)

Site ID of the specified application package to modify.

```
        Required?                    false

        Position?                    1

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## Id (uint)

The ID of the application package to modify.

```
        Required?                    true

        Position?                    0

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## InputObject ([AppPackage](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/apppackage.md))

The application package to modify.

```
        Required?                    true

        Position?                    0

        Default value                

        Accept pipeline input?       true (ByValue)

        Accept wildcard characters?  false
```

(CommonParameters)

```
        This cmdlet supports the common parameters: Verbose, Debug,

        ErrorAction, ErrorVariable, WarningAction, WarningVariable,

        OutBuffer, PipelineVariable, and OutVariable. For more information, see 

        about_CommonParameters documentation. 
```

## INPUTS

[AppPackage](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/apppackage.md)

## OUTPUTS

[AppPackage](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/apppackage.md)

## EXAMPLES

\*\*---------- EXAMPLE 1 ----------

Remove-RASAppPackage -Name App1

Removes the application package with the name App1.\
\*\*---------- EXAMPLE 2 ----------

Remove-RASAppPackage -Id 1

Removes the application package with Id 1.

## RELATED LINKS

* [New-RASAppPackage](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/new-rasapppackage.md)
* [Get-RASAppPackage](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/get-rasapppackage.md)
* [Set-RASAppPackage](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/set-rasapppackage.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/remove-rasapppackage.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
